import { h } from "@stencil/core";
import { Cell } from "./cell";
import { state, tw } from "../../utils";
const SudokuBoard = _props => {
    const { list, pick, locs, solved } = state;
    return (h("div", { class: tw('flex flex-row flex-wrap', 'border border-solid border-clrs-navy', 'h-76p5 w-76p5 text-lg') }, list.map((cell, index) => {
        const selected = solved ? false : index === pick;
        const focus = solved ? false : locs.includes(index);
        return (h(Cell, { cell: cell, focus: focus, selected: selected, solved: solved }));
    })));
};
export { SudokuBoard };
export default SudokuBoard;
